#ifndef __SYNCH_VECTOR_H
#define __SYNCH_VECTOR_H
#include <vector>

template <typename T>
class synch_vector : public std::vector<T>
{
	public:
	synch_vector()
	{
		_mut.init();
	}
	~synch_vector()
	{
		_mut.destroy();
	}
	void push_back(T elt)
	{
		_mut.locknothrow();
		std::vector<T>::push_back(elt);
		_mut.unlocknothrow();
	}
	private:
	PTH::Mutex _mut;
};

#endif
