/* config/inuk_conf.h.  Generated from inuk_conf.h.in by configure.  */
/* config/inuk_conf.h.in.  Generated from configure.ac by autoheader.  */
/* ============================
 * Common defines
 * ============================
 */

/* Define if you have the <sys/time.h> header file.  */
#define HAVE_SYS_TIME_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the sleep function.  */
#define HAVE_SLEEP 1

/* Define if you have the usleep function.  */
#define HAVE_USLEEP 1

/* Define if you have the nanosleep function.  */
#define HAVE_NANOSLEEP 1


/* ============================
 * Inuktitut defines
 * ============================
 */

/* Define to use InukTracer  */
/* #undef INUK_USE_TRACER */
/* Define to use tracer */
/* #undef PTH_USE_TRACER */

/* Define to use Linux  */
#define INUKTITUT_USE_LINUX 1
/* Define to use Linux  */
/* #undef INUKTITUT_USE_LINUX_IA64 */
/* Define to use Sun OS  */
/* #undef INUKTITUT_USE_SUNOS */
/* Define to use Darwin  */
/* #undef INUKTITUT_USE_DARWIN */
/* Define to use Irix  */
/* #undef INUKTITUT_USE_IRIX */

/* ============================
 * Pthread defines
 * ============================
 */

/* Define to use X86 arch  */
#define PTH_USE_ARCH_X86 1

/* Define to use Sun arch  */
/* #undef PTH_USE_ARCH_SUN */

/* Define to be architecture independant for unknown processor  */
/* #undef PTH_USE_ARCH_GENERIC */

/* Define to use SMP arch  */
/* #undef PTH_USE_ARCH_SMP */

/* Define to use MONO arch  */
#define PTH_USE_ARCH_MONO 1

/* Define if you have the pthread library (-lpthread).  */
#define HAVE_LIBPTHREAD 1

/* Define to use LINUX implementation of Pthread */
#define PTH_USE_PTHREAD_LINUX 1

/* Define to use SUNOS implementation of Pthread */
/* #undef PTH_USE_PTHREAD_SUNOS */

/* Define to use DARWIN implementation of Pthread */
/* #undef PTH_USE_PTHREAD_DARWIN */

/* Define to use DARWIN implementation of Pthread */
/* #undef PTH_USE_PTHREAD_IRIX */

/* Define to use the scope for the PTHREAD_SCOPE_PROCESS */
#define PTH_CANUSE_PTHREAD_SCOPE_PROCESS 1

/* Define to use the scheduling policy for the daemon */
#define PTH_DAEMON_SCHED SCHED_OTHER

/* Define to use the pthread_attr_setstacksize */
#define PTH_USE_SET_STACKSIZE 1

/* Define to use the pthread_attr_getstacksize */
#define PTH_USE_GET_STACKSIZE 1

/* Define to use the pthread_attr_setstackaddr */
#define PTH_USE_SET_STACKADDR 1

/* Define to use the pthread_attr_getstackaddr */
#define PTH_USE_GET_STACKADDR 1

/* Define to use the pthread_mutexattr_settype */
#define PTH_USE_SET_MUTEXATTR_SETTYPE 1

/* Define to use the pthread_mutexattr_setkind_np */
#define PTH_USE_SET_MUTEXATTR_SETKIND_NP 1


/* Define to use LINUX implementation of Pthread */
#define SOCK_USE_LINUX 1

/* Define to use SUNOS implementation of Pthread */
/* #undef SOCK_USE_SUNOS */

/* Define to use DARWIN implementation of Pthread */
/* #undef SOCK_USE_DARWIN */

/* Define to use DARWIN implementation of Pthread */
/* #undef SOCK_USE_IRIX */


/* Define to use taktuk network */
#define ACOM_USE_TAKTUK 1

/* Define to use tcp_net network */
/* #undef ACOM_USE_TCPNET */

/* Define to use cor_net network */
/* #undef ACOM_USE_CORNET */

/* Define to use sock_net network */
/* #undef ACOM_USE_SOCKNET */

/* Define to use X86 arch  */
#define CORNET_USE_ARCH_X86 1

/* Define to use Sun arch  */
/* #undef CORNET_USE_ARCH_SUN */

/* Define to be architecture independant for unknown processor  */
/* #undef CORNET_USE_ARCH_GENERIC */

/* Define to use SMP arch  */
/* #undef CORNET_USE_ARCH_SMP */

/* Define to use MONO arch  */
#define CORNET_USE_ARCH_MONO 1

/* Define to use LINUX implementation of Pthread */
#define CORNET_USE_PTHREAD_LINUX 1

/* Define to use SUNOS implementation of Pthread */
/* #undef CORNET_USE_PTHREAD_SUNOS */

/* Define to use DARWIN implementation of Pthread */
/* #undef CORNET_USE_PTHREAD_DARWIN */

/* Define to use DARWIN implementation of Pthread */
/* #undef CORNET_USE_PTHREAD_IRIX */

/* Define to use CORNET debug*/
/* #undef CORNET_DEBUG */

/* Define to use the scheduling policy for the daemon */
#define CORNET_DAEMON_SCHED SCHED_OTHER



/* Define to 1 to use dlopen to dynamically load networks */
/* #undef ACOM_USE_DLOPEN */

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <fcntl.h> header file. */
#define HAVE_FCNTL_H 1

/* Define to 1 if you have the `getpagesize' function. */
#define HAVE_GETPAGESIZE 1

/* Define to 1 if you have the `gettimeofday' function. */
#define HAVE_GETTIMEOFDAY 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `pthread' library (-lpthread). */
#define HAVE_LIBPTHREAD 1

/* Define to 1 if the type `long double' works and has more range or precision
   than `double'. */
#define HAVE_LONG_DOUBLE 1

/* Define to 1 if the type `long double' works and has more range or precision
   than `double'. */
#define HAVE_LONG_DOUBLE_WIDER 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have a working `mmap' system call. */
#define HAVE_MMAP 1

/* Define to 1 if you have the `nanosleep' function. */
#define HAVE_NANOSLEEP 1

/* Define if round is defined */
#define HAVE_ROUND 1

/* Define to 1 if you have the `sleep' function. */
#define HAVE_SLEEP 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/time.h> header file. */
#define HAVE_SYS_TIME_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `usleep' function. */
#define HAVE_USLEEP 1

/* Name of package */
#define PACKAGE "taktuk2"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME ""

/* Define to the version of this package. */
#define PACKAGE_VERSION ""

/* Define as the return type of signal handlers (`int' or `void'). */
#define RETSIGTYPE void

/* The size of `char', as computed by sizeof. */
#define SIZEOF_CHAR 1

/* The size of `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of `long', as computed by sizeof. */
#define SIZEOF_LONG 8

/* The size of `long double', as computed by sizeof. */
#define SIZEOF_LONG_DOUBLE 16

/* The size of `long long', as computed by sizeof. */
#define SIZEOF_LONG_LONG 8

/* The size of `short', as computed by sizeof. */
#define SIZEOF_SHORT 2

/* Define to 1 if you want to use sockets w/ nodelay permanently, to 2 if you
   want to use nodelay only to flush */
#define SOCK_NODELAY_MODE 1

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Taktuk binaries directory */
#define TAKTUKBIN "/usr/bin"

/* Define to use tracer for taktuk */
/* #undef TAKTUK_USE_TRACER */

/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
#define TIME_WITH_SYS_TIME 1

/* Version number of package */
#define VERSION "0.5"

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel and VAX). */
#if defined __BIG_ENDIAN__
# define WORDS_BIGENDIAN 1
#elif ! defined __LITTLE_ENDIAN__
/* # undef WORDS_BIGENDIAN */
#endif

/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
/* #undef YYTEXT_POINTER */

/* Define to 1 if type `char' is unsigned and you are not using gcc.  */
#ifndef __CHAR_UNSIGNED__
/* # undef __CHAR_UNSIGNED__ */
#endif

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

#ifdef HAVE_NANOSLEEP
#  define PTH_HAVE_NANOSLEEP
#  define SOCK_HAVE_NANOSLEEP
#endif

#ifdef HAVE_USLEEP
#  define PTH_HAVE_MICROSLEEP
#  define SOCK_HAVE_MICROSLEEP
#endif

#ifdef HAVE_SLEEP
#  define PTH_HAVE_SLEEP
#  define SOCK_HAVE_SLEEP
#endif

#ifndef HAVE_ROUND
#  define round(x) ((long) (x))
#endif


/* Macro to reset getopt internal variables */
#ifdef INUKTITUT_USE_IRIX
#define GETOPTRESET() getoptreset()
#elif defined(INUKTITUT_USE_DARWIN)
#define GETOPTRESET() \
do {                  \
  optind = 1;         \
  optreset = 1;       \
} while (0)
#elif defined(INUKTITUT_USE_LINUX)
#define GETOPTRESET() \
do {                  \
  optind = 0;         \
} while (0)
#endif
