// ==========================================================================
// $Source: /home/cvs/Taktuk2/NetworkCore/src/acom_ns.h,v $
// Copyright(c)'2001 by Apache Team
// see the copyright file for more information
// Author: J Briat T.Gautier
// Header file for Inuktitut/Network
// ==========================================================================


/*!
\file  
\brief This file fix the  ACOM_NET_NAMESPACE namespace  for Inuktitut0  INRIA.
\author  J. Briat T. Gautier 
\date 2001
*/
// Fix the the name of the package 
#ifndef _ACOM_NS_H_ 
#define _ACOM_NS_H_

#include <inuk/pth>

// -- Definition of project from inner namespace to ACOM_NET_NAMESPACE ::
namespace ACOM_NET_NAMESPACE { 
using namespace PTH;
}
namespace acom = ACOM_NET_NAMESPACE;
namespace ACOM = ACOM_NET_NAMESPACE;


//! @namespace  ACOM_NET_NAMESPACE
//! @brief All the Inuktitut network interface is here 



#endif
