#ifndef MPUT_H
#define MPUT_H
#include "unp.h"
#include <inuk/taktuk/taktuknetwork.h>
#define LISTENQUEUE 30
#define MAXADDRSIZE 50
#define MAXPATHLENGTH 256


/* structure d'un hote pour mput 
un hote vide est un hote dont les champs adresse ip et ports sont a zero */

struct target_mput{
   uint32_t addr;
   uint16_t port;
   uint8_t father;
   int sockfd;
   pthread_t tid;
};

/* point d'arret des tread consommateurs */
struct end_point{
   volatile int finished;
   volatile int buff_number;
};


/* 
Liste de fichiers a traiter

liste des nom + nombre de fichier
*/

struct files{
   int file_count;
   char **file_name;
};

extern int father_flag;
extern int verbose;
extern int syncflag;
extern int reportflag;
extern int accept_connection;
extern int source_dest;

extern volatile struct end_point *check_point;

extern struct target_mput *me;

extern struct target_mput *father;
extern struct target_mput *bbrother;
extern struct target_mput *lbrother;
extern Taktuk::Network *net;
#endif
