#ifndef MPUT_BUFFERS_H
#define MPUT_BUFFERS_H

#include "mput.h"

#define NBBUFF 100
#define MAXBUFF 8192

struct buffer{
   int buffer_full;
   pthread_mutex_t buffer_full_mutex;
   pthread_cond_t buffer_full_cond;
   int prod;
   pthread_mutex_t prod_mutex;
   pthread_cond_t prod_cond;
   char *buff;
};


extern struct buffer *buffers;

extern int volatile nb_consumers;

/**
Initialise les mutex et conditions du buffer
et met prod=1 et buffer_full=0
initialise le nombre de consommateurs a 0 :
nb_consumers = 0;
*/
void init_buffers(void);

#endif
