#ifndef THREAD_ARGS_H
#define THREAD_ARGS_H

#include <inuk/acom>
#include <inuk/pth>
#include <string.h>
#include <inuk/sock>
//#include <inuk/socknet/SOCKNET_network.h>
#include <inuk/tcpnet/TCP_network.h>

class thread_args
{
	
	public:
		//SOCKNET::SOCKNET_net* net;
		TCP_NET::tcp_net* net;
		acom::Service* service;
		SOCK::SocketClient* sockR;
		SOCK::SocketClient* wakeR;
		
		//thread_args(SOCKNET::SOCKNET_net* net, acom::Service* service, SOCK::SocketClient* sockR, SOCK::SocketClient* wakeR)
		thread_args(TCP_NET::tcp_net* net, acom::Service* service, SOCK::SocketClient* sockR, SOCK::SocketClient* wakeR)
		{
			this->net = net;
			this->service = service;
			this->sockR = sockR;
			this->wakeR = wakeR;
		}
};

#endif // THREAD_ARGS_H
